JTS Topology Suite version 1.13

## com.vividsolutions.jts.index.strtree
Interface Boundable

All Known Implementing Classes:
  AbstractNode, ItemBoundable

    public interface Boundable

A spatial object in an AbstractSTRtree.

Version:
  1.7

Method Summary
`java.lang.Object` `getBounds()` Returns a representation of space that encloses this Boundable, preferably not much bigger than this Boundable's boundary yet fast to test for intersection with the bounds of other Boundables.

Method Detail

### getBounds

    java.lang.Object getBounds()

  Returns a representation of space that encloses this Boundable, preferably not much bigger than this Boundable's boundary yet fast to test for intersection with the bounds of other Boundables. The class of object returned depends on the subclass of AbstractSTRtree.

  Returns:
    an Envelope (for STRtrees), an Interval (for SIRtrees), or other object (for other subclasses of AbstractSTRtree)

JTS Topology Suite version 1.13